#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 concurrent-output
version:              1.10.11
visibility:           public
id:                   concurrent-output-1.10.11-HJ7MVkHaLh81XpGZfX63tC
key:                  concurrent-output-1.10.11-HJ7MVkHaLh81XpGZfX63tC
license:              BSD-2-Clause
copyright:            2015-2017 Joey Hess, 2009 Joachim Breitner
maintainer:           Joey Hess <id@joeyh.name>
author:               Joey Hess, Joachim Breitner
stability:            Stable
synopsis:             Ungarble output from several threads or commands
description:
    Lets multiple threads and external processes concurrently output to the
    console, without it getting all garbled up.

    Built on top of that is a way of defining multiple output regions,
    which are automatically laid out on the screen and can be individually
    updated by concurrent threads. Can be used for progress displays etc.

    <<https://joeyh.name/code/concurrent-output/demo2.gif>>

category:             User Interfaces
abi:                  c8ed0e8d7049ec80276df8e45f320218
exposed:              True
exposed-modules:
    System.Console.Concurrent System.Console.Concurrent.Internal
    System.Console.Regions System.Process.Concurrent

hidden-modules:       Utility.Monad Utility.Data Utility.Exception
import-dirs:          /usr/lib/ghc-8.10.1/site-local/concurrent-output-1.10.11
library-dirs:         /usr/lib/ghc-8.10.1/site-local/concurrent-output-1.10.11
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.1/concurrent-output-1.10.11

hs-libraries:         HSconcurrent-output-1.10.11-HJ7MVkHaLh81XpGZfX63tC
depends:
    ansi-terminal-0.10.3-20y7uVSxZd99OPB0BUeuF9
    async-2.2.2-5YJmnoR0sNS1wEXdEae9tM base-4.14.0.0 directory-1.3.6.0
    exceptions-0.10.4 process-1.6.8.2 stm-2.5.0.0
    terminal-size-0.3.2.1-CDCO963D77gKCavfBZSlNE text-1.2.3.2
    transformers-0.5.6.2 unix-2.7.2.2

haddock-interfaces:
    /usr/share/doc/haskell-concurrent-output/html/concurrent-output.haddock

haddock-html:         /usr/share/doc/haskell-concurrent-output/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

